> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List settlement advances

> Returns the maker's settlement advances with their lifecycle status,
filterable by status and date range. Supports cursor-based pagination.




## OpenAPI

````yaml openapi/stablefx.yaml get /v1/exchange/stablefx/settlementAdvances
openapi: 3.1.0
info:
  title: StableFX API
  description: >
    The StableFX API provides endpoints for trading stablecoins.


    ## Authentication

    All API requests require authentication using an API key.


    ## Base URL

    The base URL for all API endpoints is:
    `https://api.circle.com/v1/exchange/stablefx`
  version: 1.0.0
servers:
  - url: https://api.circle.com
    description: StableFX API server
security:
  - BearerAuth: []
tags:
  - name: Quotes
    description: Endpoints for creating and managing quotes
  - name: Trades
    description: Endpoints for creating and managing trades
  - name: Signatures
    description: Endpoints for retrieving presign typed data and registering signatures
  - name: Fees
    description: Endpoints for retrieving fees
  - name: Funding
    description: Endpoints for funding trades
  - name: Webhook Subscriptions
    description: Manage subscriptions to notifications
  - name: Settlement Advance
    description: Request, track, and repay settlement advances.
paths:
  /v1/exchange/stablefx/settlementAdvances:
    get:
      tags:
        - Settlement Advance
      summary: List settlement advances
      description: |
        Returns the maker's settlement advances with their lifecycle status,
        filterable by status and date range. Supports cursor-based pagination.
      operationId: listSettlementAdvances
      parameters:
        - in: query
          name: status
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/AdvanceCreditStatus'
          description: >-
            Filter by advance credit status. Omit to return advances in any
            status.
        - in: query
          name: startCreateDateInclusive
          required: false
          schema:
            type: string
            format: date-time
          description: Start of the creation date range (inclusive).
        - in: query
          name: endCreateDateInclusive
          required: false
          schema:
            type: string
            format: date-time
          description: End of the creation date range (inclusive).
        - in: query
          name: pageBefore
          required: false
          schema:
            type: string
            format: uuid
          description: Cursor -- return advances strictly before this id.
        - in: query
          name: pageAfter
          required: false
          schema:
            type: string
            format: uuid
          description: Cursor -- return advances strictly after this id.
        - in: query
          name: pageSize
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
      responses:
        '200':
          description: List of settlement advances.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettlementAdvanceHistory'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    AdvanceCreditStatus:
      type: string
      description: >
        Lifecycle status of the credit advanced against a settlement.

        - `funds_reserved` -- credit reserved on the line, awaiting maker
        action.

        - `requested` -- maker submitted the request; Circle is moving funds.

        - `disbursed` -- funds delivered to the funder passthrough wallet.

        - `past_due` -- repayment window has elapsed without full repayment.

        - `paid` -- credit fully repaid.

        - `rejected` -- credit line rejected the advance request.

        - `expired` -- reservation expired before being consumed.

        - `canceled` -- maker or Circle canceled the advance.
      enum:
        - funds_reserved
        - requested
        - disbursed
        - past_due
        - paid
        - rejected
        - expired
        - canceled
      example: disbursed
    SettlementAdvanceHistory:
      type: object
      description: List of settlement advances.
      required:
        - advances
      properties:
        advances:
          type: array
          items:
            type: object
            required:
              - advanceId
              - advance
              - collateral
              - status
              - createDate
            properties:
              advanceId:
                $ref: '#/components/schemas/Id'
              advance:
                $ref: '#/components/schemas/SettlementAdvanceCurrencyAmount'
              collateral:
                $ref: '#/components/schemas/SettlementAdvanceCurrencyAmount'
              status:
                $ref: '#/components/schemas/AdvanceCreditStatus'
              createDate:
                $ref: '#/components/schemas/CreateDate'
              dueDate:
                type:
                  - string
                  - 'null'
                format: date-time
                description: >-
                  When the advance is due to be repaid in full. Null until
                  funded.
    Error:
      title: Error
      type: object
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
          description: Human-readable message that describes the error.
          example: Unknown error occurred
        errors:
          type: array
          description: Array of detailed error descriptions
          items:
            $ref: '#/components/schemas/DescriptiveError'
    XRequestId:
      type: string
      description: >-
        A unique identifier, which can be helpful for identifying a request when
        communicating with Circle support.
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
      format: uuid
    Id:
      type: string
      format: uuid
      description: System-generated unique identifier of the resource.
      example: c4d1da72-111e-4d52-bdbf-2e74a2d803d5
    SettlementAdvanceCurrencyAmount:
      type: object
      description: Currency and amount for settlement advance flows.
      required:
        - currency
        - amount
      properties:
        currency:
          $ref: '#/components/schemas/SettlementAdvanceCurrency'
        amount:
          $ref: '#/components/schemas/Amount'
    CreateDate:
      type: string
      format: date-time
      description: Date and time when the resource was created
      example: '2023-01-01T12:04:05Z'
    ErrorCode:
      title: ErrorCode
      type: integer
      description: The code that corresponds to the error.
      enum:
        - -1
        - 0
        - 1
        - 2
        - 3
        - 400
        - 401
        - 403
        - 404
    DescriptiveError:
      title: DescriptiveError
      type: object
      required:
        - error
        - message
      properties:
        error:
          $ref: '#/components/schemas/DescriptiveErrorType'
        location:
          type:
            - string
            - 'null'
          description: The key or path where the error occurred
        message:
          type: string
          description: Detailed description of the error
    SettlementAdvanceCurrency:
      type: string
      description: Currency code for settlement advance flows.
      example: USDC
    Amount:
      type: string
      pattern: ^\d+(?:\.\d{1,6})?$
      description: Amount of currency, formatted as a string with up to six decimal places.
      example: '100.00'
    DescriptiveErrorType:
      title: DescriptiveErrorType
      type: string
      enum:
        - MISSING_OR_INVALID_FIELD
      description: Type of descriptive error
  headers:
    XRequestId:
      description: >
        Circle-generated universally unique identifier (UUID v4). Useful for
        identifying a specific request when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PREFIX:ID:SECRET
      description: >-
        Circle's API Keys are formatted in the following structure
        "PREFIX:ID:SECRET". All three parts are requred to make a successful
        request.

````